org.glassfish.jersey.server.model

## Class HandlerConstructor

- java.lang.Object
- - org.glassfish.jersey.server.model.HandlerConstructor

All Implemented Interfaces:
  Parameterized, ResourceModelComponent

    public final class HandlerConstructor
    extends Object
    implements Parameterized, ResourceModelComponent

Abstraction for a resource handler class constructor.

Author:
  Jakub Podlesak, Marek Potociar

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(ResourceModelVisitor visitor)` A component should call the visitor back with an appropriate visitor interface method to give it a chance to process.
`List<ResourceModelComponent>` `getComponents()` Should return all existing resource model sub-components.
`Constructor<?>` `getConstructor()` Get the underlying java constructor.
`List<Parameter>` `getParameters()` Provides access to all parameters associated with given Parameterized instance.
`boolean` `requiresEntity()` Provides information on presence of an entity parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConstructor

    public Constructor<?> getConstructor()

Get the underlying java constructor.

Returns:
  underlying java constructor.

#### getParameters

    public List<Parameter> getParameters()

Description copied from interface: `Parameterized`
Provides access to all parameters associated with given Parameterized instance.

Specified by:
  `getParameters` in interface `Parameterized`
Returns:
  list of actual parameters

#### requiresEntity

    public boolean requiresEntity()

Description copied from interface: `Parameterized`
Provides information on presence of an entity parameter.

Specified by:
  `requiresEntity` in interface `Parameterized`
Returns:
  true if entity parameter is present, false otherwise

#### accept

    public void accept(ResourceModelVisitor visitor)

Description copied from interface: `ResourceModelComponent`
A component should call the visitor back with an appropriate visitor interface method to give it a chance to process.

Specified by:
  `accept` in interface `ResourceModelComponent`
Parameters:
  `visitor` - resource model visitor.

#### getComponents

    public List<ResourceModelComponent> getComponents()

Description copied from interface: `ResourceModelComponent`
Should return all existing resource model sub-components.

Specified by:
  `getComponents` in interface `ResourceModelComponent`
Returns:
  list of all sub-components